Page MenuHomeFreeBSD

devel/buildbot*: Rename all buildbot ports
ClosedPublic

Authored by rodrigc on Sep 26 2017, 5:28 AM.

Details

Summary
devel/buildbot*: Rename all buildbot ports

  devel/buildbot -> devel/py-buildbot
  devel/buildbot-worker -> devel/py-buildbot-worker
  devel/buildbot-console-view -> devel/py-buildbot-console-view
  devel/buildbot-grid-view -> devel/py-buildbot-grid-view
  devel/buildbot-pkg -> devel/py-buildbot-pkg
  devel/buildbot-waterfall-view -> devel/py-buildbot-waterfall-view
  devel/buildbot-www -> devel/py-buildbot-www

  - Update MAINTAINER
  - Allow builds with Python 3.x

Reviewed_by: koobs
Approved by: koobs (maintainer), portmgr (maintainer timeout, grembo, 3+ weeks)
Differential_Revision: D12499
Test Plan
  • portlint: OK (all ports)
  • testport: OK (poudriere: 10.3-RELEASE-amd64, Python 2.7)
  • maketest: OK (4 tests failing, 5060 passing for buildbot, 0 tests failing, 229 passing for buildbot-worker)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rodrigc created this revision.Sep 26 2017, 5:28 AM
koobs requested changes to this revision.EditedSep 26 2017, 6:23 AM

All ports:

  • Add PKGNAMEPREFIX=${PYTHON_PKGNAMEPREFIX}
  • Add LICENCE_FILE=WRKSRC/path/to/file if/where one exists in WRKSRC (DISTFILES)
  • Add and verify USE_PYTHON=concurrent
  • Update USES=python to allow 2/3 (removed in previous review)
  • Update MAINTAINER=koobs@FreeBSD.org (or take maintainership). All buildbot ports should be maintained by the same person. Some are already different
  • Update COMMENT to match that in setup.py:description examplt buildbot-pkg COMMENT=Buildbot packaging tools

General:

  • Add MOVED entries
devel/py-buildbot-www/Makefile
13 ↗(On Diff #33429)

Add LICENCE_FILE=WRKSRC/path/to/file if/where one exists in WRKSRC (DISTFILES)

devel/py-buildbot/Makefile
10 ↗(On Diff #33429)

Update MAINTAINER=koobs@FreeBSD.org (all ports, or take maintainership)

11 ↗(On Diff #33429)

No longer called master, update (bit)

33 ↗(On Diff #33429)

Revert to allow 2/3

35 ↗(On Diff #33429)

Add and verify concurrent support

This revision now requires changes to proceed.Sep 26 2017, 6:23 AM
rodrigc updated this revision to Diff 33497.Sep 27 2017, 6:51 PM

Update patch

rodrigc updated this revision to Diff 33498.Sep 27 2017, 7:00 PM
rodrigc marked 3 inline comments as done.

Update patch

rodrigc marked an inline comment as done.Sep 27 2017, 7:00 PM
rodrigc added inline comments.
devel/py-buildbot-www/Makefile
13 ↗(On Diff #33429)

There isn't one.

devel/py-buildbot/Makefile
35 ↗(On Diff #33429)

How do I verify concurrent support?

koobs added inline comments.Sep 29 2017, 2:15 PM
devel/py-buildbot/Makefile
35 ↗(On Diff #33429)

All files are uniquely named (are version suffixed), between Python 2.x and 3.x built versions, in path locations are not python version specific, so that concurrently installed port versions have no conflicting files. USE_PYTHON=concurrent is not perfect (eg: does not currently suffix man files)

In particular:

  • script dirs (eg: localbase/bin)
  • share/doc
  • man pages

concurrent does some/most things automatically, but check final results

sunpoet added inline comments.Sep 30 2017, 10:43 AM
devel/py-buildbot/Makefile
17–32 ↗(On Diff #33498)

It would be great if it's sorted. Thanks!

38 ↗(On Diff #33498)

It should be OK to use = instead of +=.

rodrigc updated this revision to Diff 33678.Oct 4 2017, 9:39 AM

Sort some things.

rodrigc updated this revision to Diff 33679.Oct 4 2017, 9:42 AM

We are not ready to make these ports as concurrent yet.
There are still some conflicts.

rodrigc marked 2 inline comments as done.Oct 4 2017, 9:43 AM

@koobs I removed concurrent from these Makefiles. We aren't ready to do that yet, since there are conflicts.
The port works on Python 3 though, so removing 2.7 as a restriction is OK.

koobs requested changes to this revision.Nov 3 2017, 12:33 AM
koobs retitled this revision from devel/buildbot -> devel/py-buildbot: Rename to devel/buildbot*: Rename all buildbot ports.
koobs edited the summary of this revision. (Show Details)
koobs edited the summary of this revision. (Show Details)
koobs added 1 blocking reviewer(s): grembo.
koobs added inline comments.
devel/py-buildbot/Makefile
32 ↗(On Diff #33679)

Minor nit, independent of what version our mock port is, but this is probably >=

This revision now requires changes to proceed.Nov 3 2017, 12:35 AM
rodrigc updated this revision to Diff 35220.Nov 14 2017, 8:30 AM

Bump up py-mock dependency

Hey @grembo can I proceed with this commit?

koobs edited the summary of this revision. (Show Details)Nov 28 2017, 10:12 AM
koobs accepted this revision.Nov 28 2017, 10:13 AM

LGTM

This revision was not accepted when it landed; it landed in state Needs Review.Dec 15 2017, 12:06 AM
This revision was automatically updated to reflect the committed changes.